﻿/*
*******************************************************************************
Default Style Definitions for the entire application
*******************************************************************************
*/

/* Hides from IE5-mac \*/
* html .buggybox {height: 1%;}
/* End hide from IE5-mac */

*, body
{
	margin: 0;
	padding: 0;
}

body
{
  background:white;
	font-family: Tahoma, Arial, Verdana, Sans-Serif;
	font-size: 11px;
	color: Black;
}

p
{
	margin-bottom: 3px;
}

a
{
	text-decoration: none;
	color: Black;	
}

button
{
	font-family: Tahoma, Arial, Verdana, Sans-Serif;
	font-size: 11px;
	color: Black;
	font-weight:bold;
}
a:hover
{
	text-decoration: underline;
}

table
{
	border: 0;
	margin: 0;
	padding: 0;
	border-spacing: 0;
}

td
{
	border: 0;
	margin: 0;
	padding: 0;
}

.textBox
{
	border: 1px solid #7F9DB9;
	font-size: 11px;
	height: 15px;
	padding: 2px;
	margin: 1px 0px;
	vertical-align: middle;
}

img
{
	vertical-align: middle;
}

/*
*******************************************************************************
About Us Page Styling
*******************************************************************************
*/
#aboutUsDiv
{
	text-align: center;
}

#aboutUsDiv a
{
	border-bottom: 1px solid #7F9DB9;
}

#aboutUsDiv a:hover
{
	border-bottom: 1px solid black;
	text-decoration: none;
}

#aboutUsDiv h1
{
	margin: 10px 0px;
	font-size: 16px;
	font-weight: bold;
}

#aboutUsDiv h2
{
	font-size: 12px;
	font-weight: bold;
}

#aboutUsDiv p
{
	margin: 5px 20px;
}

#aboutUsDiv p.copyright
{
	text-align: justify;
	font-size: 9px;
}

#aboutUsDiv p label
{
	margin-right: 5px;
	font-weight: bold;
}


/*
*******************************************************************************
Login Page Styling
*******************************************************************************
*/
BODY.LOGON
{
	BACKGROUND: #fffef9
}
#logonDiv
{
	width: 364px;
	position: relative;
	margin: 0 auto;
}
#logonDiv label
{
	font-weight: bold;
}
#logonDiv .LogonTop
{
	background: url(Images/Login/logontop.gif) no-repeat
}
#logonDiv .LogonLeft
{
	background: url(Images/Login/logonleft.gif) repeat-y left 50%
}
#logonDiv .LogonRight
{
	background: url(Images/Login/logonright.gif) repeat-y right 50%
}
#logonDiv .LogonbottomRight
{
	background: url(Images/Login/logonbottomright.gif) no-repeat right 50%
}
#logonDiv .LogonbottomLeft
{
	background: url(Images/Login/logonbottomleft.gif) no-repeat left 50%
}
#logonDiv .Logonbottom
{
	background: url(Images/Login/logonbottom.gif) repeat-x 50% bottom
}
#logonDiv .LogonbuttonLeft
{
	background: url(Images/Login/logonbuttonleft.gif) no-repeat left bottom
}
#logonDiv .LogonbuttonRight
{
	background: url(Images/Login/logonbuttonright.gif) no-repeat left bottom
}
#logonDiv .LogonbuttonMiddle
{
	background: url(Images/Login/logonbuttonmiddle.gif) repeat-x 50% bottom;
	vertical-align: middle;
}
#logonDiv .LogonbuttonMiddle A.Logonbutton:hover
{
	text-decoration:none;
	color: black;
}
#logonDiv .Logonbutton
{
	font-weight: bold;
	font-size: 12px;
	cursor: hand;
	color: #4d4f53;
	font-family: Tahoma,Arial;
	text-decoration: none;
}
#logonDiv .logonTextBox
{
	border: 1px solid #7F9DB9;
	font-size: 11px;
	height: 16px;
	padding: 2px;
	margin: 3px;
	vertical-align: middle;
	text-transform:uppercase;
}
#logonDiv #LoadingPanel
{
	vertical-align: middle;
	font-weight: bold;
}
#logonDiv #versionInfoDiv
{
	font-weight: normal;
	font-size: 9px;
	background: white;
	color: black;
	font-family: tahoma,arial
}

/*
*******************************************************************************
Master Page Positioning
*******************************************************************************
*/
#defaultDiv
{
}

#menuHeader
{	
	background-image:url(Images/Backgrounds/logo2.jpg);
	height:71px;
}

#mainMenuDiv
{
	position: absolute;
	top: 0px;
	left: 0px;
	width: 110px;
	background-color: white;
	/*background-image: url(Images/Backgrounds/menuedge.jpg);*/
	background-position: right;
	background-repeat: repeat-y;
}

#recentMenuDiv
{
	padding-top: 5px;
	padding-bottom: 5px;
	background-image: url(Images/Backgrounds/TabOffRepeat.gif);
}

.recentMenuHeader
{
	background-color: silver !important;
	border-color: silver !important;
}

#mainContentDiv
{
	margin-left: 110px;
}

#headerDiv
{
	height: 74px;
	background-image : url(Images/Backgrounds/newtop2.jpg);
	background-repeat: no-repeat;
	background-position:right;
	background-color:#6792BF;
}

#contentDiv
{
	position: relative;
	margin : 5px 120px 5px 5px;
}

#contextDiv
{
	position: absolute;
	top: 100px;
	right: 0;
	width: 100px;
	z-index: 999;
	margin: 0;
	background-color: Transparent;
}

/*
*******************************************************************************
Recent Menu
*******************************************************************************
*/
.recentMenuButton
{
	color: #4d4f53;
	cursor: hand;
	cursor: pointer;
}

.recentMenuButtonDisabled
{
	color: Silver;
	cursor: default;
}

.recentMenuButtonHover
{
	color: Red;
}

.recentMenuButtonSelected
{
	color: white;
	font-weight: bold;
	cursor: default;
}

#QuickSearchTextBox
{
	font-size: 11px;
	border: 1px solid steelblue;
	color: #666666;
	height: 13px;
	width: 110px;
	padding: 1px 1px;
}

/*
*******************************************************************************
Main Menu
*******************************************************************************
*/

#mainMenu
{
	border-right-style: solid;
	border-right-width: 1px;
	border-right-color: #E0E0E0;
}

#mainMenu li.mainMenuButton
{
	list-style: none;
	margin: 0;
	padding: 0;
	text-align:center;
	cursor: hand;
	cursor: pointer;
}

#mainMenu li.mainMenuButton img
{
}

#mainMenu li.mainMenuButton div
{
	color:#333333;
}

#mainMenu li.mainMenuSeparator
{
	text-align:center;
	/*background-image:url(Images/Backgrounds/menusep.jpg);*/
	background-repeat:no-repeat;
	background-position: center center;
	height:10px;
}

/*
*******************************************************************************
Header Styles
*******************************************************************************
*/
#headerDiv table.headerTable
{
	height: 100%;
	width: 100%;
}

#headerDiv table.headerTable td.headerImage
{
	width: 80px;
	vertical-align: top;
}

#headerDiv p
{
	font-size: 12px;
	color: #4d4f53;
	font-weight: normal;
	cursor: default;
	white-space: nowrap;
}

#headerDiv p label
{
	font-weight: bold;
	color: #4d4f53;
	padding-right: 4px;
}

#headerDiv p a.headerLink
{
	color: #4d4f53;
	border-bottom: 1px solid #A9BFD6;
	text-decoration: none;
}

#headerDiv p a.headerLink:hover
{
	border-bottom: 1px solid white;
	text-decoration: none;
}

#headerDiv .textBox
{
	border: 1px solid #A9BFD6;
	font-size: 14px;
	height: 16px;
	padding: 1px;
	margin: 2px;
	vertical-align: middle;
}

/*
*******************************************************************************
General Content Styles
*******************************************************************************
*/

#contentDiv label
{
	color: #4d4f53;
	font-weight: bold;
	white-space: nowrap;
}

#contentDiv table td
{
	vertical-align: top;
}

#contentDiv table.FieldTable
{
}

#contentDiv table.FieldTable td
{
	vertical-align: middle;
	padding: 2px;
	white-space: nowrap;
}

#contentDiv table.FieldTable label
{
	/*color: steelblue;*/
	font-weight: bold;
	white-space: nowrap;
}

#contentDiv table.FieldTable a, .LinkButton
{
	border-bottom: 1px solid #A9B6C6;
	text-decoration: none;
}

#contentDiv table.FieldTable a:hover, .LinkButton:hover
{
	border-bottom: 1px solid black;
	text-decoration: none;
}

#contentDiv .textBox
{
	border: 1px solid #7F9DB9;
	font-size: 11px;
	height: 15px;
	padding: 2px;
	margin: 1px 0px;
}

.FinderButton
{
	cursor:pointer;	
}

#contentDiv .FinderButtonImage
{
	left:-3px;
	vertical-align:middle;
}

.hoverTipVisible
{
	background-color:	#FFFFE1;
	border: 1px solid black;
	margin-left: 10px;
	color: black;
	padding: 5px;
	position: absolute;
	z-index: 999999;
}

.hoverTipInvisible
{
	visibility:	hidden;
	height: 0px;
	width: 0px;
}

#contentDiv #historyDiv table
{
	width: auto;
}

#contentDiv #historyDiv table td.header
{
	padding-top: 8px;
	font-weight: bold;
	font-size: 12px;
	white-space: nowrap;
}

#contentDiv #historyDiv table td
{
	padding: 2px 5px;
}

#contentDiv #historyDiv table td label
{
	color: steelblue;
	font-weight: bold;
	white-space: nowrap;
}

#contentDiv #historyDiv a
{
	border-bottom: 1px solid #A9B6C6;
	text-decoration: none;
}

#contentDiv #historyDiv a:hover
{
	border-bottom: 1px solid black;
	text-decoration: none;
}


/********
	VMEP CSS Styles : The listed CSS envelopes all page level css and UserControls contained in the following assemblies

										- Technisoft.SeriviceManager.VMEP
										- ProviTech.Web.Control
										- Technisoft.WebControls
										
All RadControls have their own CSS files imported from the RadControls/<CONTROL_TYPE>/Styles directory


This file has been split into the following categories:

		1 - Misc										-	One off Classes
		2 - Base Heading						- Page Headers and Sub Headers
		3 - Login and Template			- Login Page and Masterpage Styles
		4 - Link										- Anchor styles
		5 - Grid										- DataGrid Styles
		6 - Finder									- Styles relating specifically to the Finders (excluding Grid css)
		7 - Context Menu						- Image and Text Styles for the Menu on the RIGHT of screen
		8 - Drill Down							- Image, Panel and Text styles for the RIGHT CLICK Menus
		9 - Card Panel							- A ProviTech.Web.Controls control
		10- Input Form							- All input fields used throughout VMEP
		11- Time Picker							- Styles relating specifically to the TimePicker control

******/




/************************************ MISC STYLES ***********************/
.Error
{	
	color: red;
	text-align: center; 
}
.PageFilter
{
	background-color:#F7F7F7;
	padding:5px 5px 5px 5px;
}

.HelpHeader
{
	text-align:center;
	vertical-align:middle;
	font-family:Arial;
	font-weight:bold;
	font-size:18px;
	color:White;
	background-image:url(~/images/stripe.jpg);
	background-repeat:repeat;	
	height:50px;		
	width:100%;
}

.MultiPage
{
	background-color: #F7F7F7;
	border: solid 1px #a9b6c6;
	position: relative;
	top: -1px;
	padding: 5px;
	z-index:1;
}

.PrintNote
{
	font-size:10px;
  font-style:italic;
  color:Gray;
}

.fullArea
{
	width:100%;
	height:100%;
	padding:0px 0px 0px 0px;
	margin:0px 0px 0px 0px;
}
.HCenter
{
	width:100%;
	text-align:center;
}
#ButtonPanel, .ButtonPanel
{
	padding:10px 10px 10px 10px;
	text-align:center;
}

#ButtonPanel *, .ButtonPanel *
{
	vertical-align:middle;
}
/************************************ BASE HEADING CSS ************************/
.Heading, .TITLETEXT, .TITLETEXTHEADING, .FinderHeader, .FinderFooter, .CardTitle, .LongCardTitle, .CardTitleAlt, .CardUnselectedTitle, .CategoricalMenu, .CategoricalMenuTitle
{
	font-family:Arial;
	font-weight:bold;
	font-size:14px;
	white-space:nowrap;
}
.TITLETEXT
{	
	color:White;
	white-space:nowrap;
	font-size:12px;
	float:left;	
}
.TITLETEXTHEADING
{
	color:Yellow;
	font-size:12px;
	float:left;
	width:100px;
}
.TitleImage
{
	width:150px;
	text-align:center;
	vertical-align:middle;
}



/*********************************** TEMPLATE PAGE CSS **********************/

.NotationEntry 
{
   font-family:MS Sans Serif;
   font-size:8px;
}

/*********************************** GRID CSS **************************/
.Grid, .FinderGrid
{
	 border: 0;
}

.Grid
{
   padding-bottom:20px;
}

.GridHeader, .GridHeader a
{
	color: White;	
	font-weight:bold;
	background-color: silver;
	font-size:11px;
	text-align:left;
	margin-left: 2px;
}
 TR.GridHeader, TH.GridHeader
{
	height: 18px;
	text-align:left;
}

.GridHeader2
{
	color: White;	
	font-weight:bold;
	background-color: silver;
	font-size:11px;
	text-align:center;
	margin-left: 2px;
}

.GridFooter
{
   color:black;
   background-color:#CCCCCC;
}
.GridSelected
{
   font-weight:bold;
   color:Black;
   background-color:LightSteelBlue;     
}
.GridItem, .GridAlternating
{
	vertical-align:top;
	color:Black; 
}
.GridItem td, .GridAlternating td
{
	padding-left: 3px; 
	padding-right: 3px;
}
.GridItem
{
   background-color:#F7F7F7;
}
.GridAlternating
{
   background-color:#DEDEE7;
}

.GridItem TD A, .GridAlternating TD A
{
	text-decoration:none;
	color:#333333;
}

.GridItem TD A, .GridAlternating TD A
{
	font-weight:bold;
	color:#333333;
}

.GridItem a:hover, .GridAlternating a:hover
{
	text-decoration:underline;
}

.GridPager, .GridPager A
{
   text-align:left;
   color:White;
   background-image:url(Images/stripe.jpg);
   background-repeat:repeat;	
   font-weight:bold;
}

.GridWarning
{
	text-align:center;
	border: 1px solid black;
	margin-top: 3px;
	margin-bottom: 3px;
	padding: 2px;
	background-color: #FFFFCC;
	color:Red;
	display:block;
	font-weight:bold;
}
.GridButtons
{
	white-space:nowrap;
	vertical-align:top;
}

.GridButtons *
{
	vertical-align:top;
}
/*********************************** FINDER STYLES *****************************/

.FinderWindow
{
	width:600px; 
	height:400px; 
	z-index:599;
	position:absolute; 
	top:0; 
	left:0
}

#FinderPanel
{
	width:600px; 
	height:395px; 
	position:fixed; 
	overflow-y:auto; 
	overflow-x:hidden;
}

#FinderPanel #dgDiv
{
	height:355px;
	width:600px; 
	position:relative; 
	overflow-y:hidden; 
	overflow-x:hidden;
}
#FinderPanel #pager
{
	vertical-align:middle;
	position:absolute; 
	right:0px; 
	z-index:150
}

.FinderHeader
{
	color:White;
	background-image:url(~/images/stripe.jpg);
	background-repeat:repeat;	
	height:25px;	
	text-align:left;
	width:600px;
}
#FinderFooter
{
	color:#003D72;
	background-image:url(~/images/panels/panemid.gif);
	background-repeat:repeat-x;	
	height:25px;
	width:100pc;	
	text-align:left
}


.CategoricalMenuTitle
{
	color:#FFFFCC;
}
.CategoricalMenu
{
	color:#006699;
}

.FinderItemRow a, .ContextMenuAlt
{
	text-decoration:none;
	font-family:Arial;	
	font-size:12px;
	vertical-align:middle;	
}

.FinderItemRow a, .codeDescription
{
	color:Black;
	white-space:nowrap;
}

.AboutBox
{		
	filter:progid:DXImageTransform.Microsoft.DropShadow(OffX=5, OffY=5,Color='#A3A3A3', Positive='true');	
	background-attachment: fixed;
	position: absolute;	
	width:300px;
	height:300px;
	border-right: red 1px solid;
	border-top: steelblue 1px solid;	
	border-left: steelblue 1px solid;	
	border-bottom: steelblue 1px solid;
	background-color: White;	
}
Body.AboutUs
{	
	width:300px;
	height:300px;
	background-color: White;	
}


/*********************************** DRILL DOWN CSS ************************************************/
.DrillDownMenu
{		
	background-color:#fffef9;
	background-attachment:fixed;		
	border:solid 1px SteelBlue;
	padding:10px 10px 10px 10px;	
}
.DrillDownMenuHeader, .DrillDownMenuItems, A.DrillDownMenuItems:hover
{
	font-family:Arial;	
	text-decoration : none;	
	font-size:12px;
}
.DrillDownMenuHeader
{	
	color:White;	
	font-weight:bold;
	background-color:silver;
	background-repeat:repeat;		
	text-align:center;		
	height:20px;
}
.DrillDownMenuItems
{	
	color:Black;		
	padding:5px 15px 5px 15px;
	vertical-align:middle;
	height:35px;
}
A.DrillDownMenuItems:hover
{	
	color:White;
}



/*********************************** CARD PANEL CSS ***************************************/
.CommonPanel, .CardPanel, .GridCardPanel, .JobCardPanel
{
  background-color:#F7F7F7;
	padding:2px 2px 2px 2px;
}
.CardPanel
{	
	position:relative;
	width:100%;
	overflow-x:auto;
	padding-bottom:20px;
}
#CardPanelContent, .CardPanelContent
{
	width:100%;
}
.GridCardPanel
{	
	border-collapse:collapse;
	height:auto;			
}
.JobCardPanel
{		
	overflow:auto;
	position:static;	
	height:100%;	
	padding-left:5px; 
	padding-right:5px;
}
.CardTitle, .LongCardTitle
{
	text-align:center;
	color:#4d4f53;
	width:200px;
}

.LongCardTitle
{
	width:300px;
}

.CardTitleAlt
{
	text-align:center;
	color:Red;
}
.CardUnselectedTitle
{
	text-align:center;	
	color:#9E9E9E;
	cursor:hand;
}



/*********************************** INPUT FORM CSS *******************************/

.FieldLabel, fieldset legend, .inlineLabel
{
	text-align:left;
	font-family: Tahoma,Arial; 
	font-size:11px;
	color:#4d4f53;
	font-weight:bold;
	padding-right:5px;
}
.FieldLabel, .inlineLabel
{
  width:150px;
	white-space:nowrap;		
}
.inlineLabel
{
	display:block;
	float:left;
}

fieldset
{
  padding:5px 5px 5px 5px;
  margin-top:15px;
  margin-bottom:15px;
}
.Button
{
	background-image:url(~/images/buttons/button-strip.gif);
	background-repeat:repeat-x;
	border:solid 1px #003D72;
	text-align:center;
	font-family:Arial;
	font-weight:bold;
	font-size:12px;
	color:White;
	padding:0px 5px 0px 5px;
	height:30px;	
}
.dataList, .descBox, .searchBox, .inputBox, .MSSansSerif, .CustomFieldText, .Fieldset, .serialBox
{
  vertical-align:middle; 
  border: 1px solid #7F9DB9;
 	font-family: Tahoma, Arial;
	font-size: 11px;
	color: black;
	padding: 2px;
	margin: 1px 0px;
}
.dataList
{
	width:150px;
	height:150px;
	vertical-align:top;	
	overflow:auto;
}
.dataList table
{
	width:100%;
}
.dataListMouseOver
{
	background: lightgrey;
	cursor:hand;
	width:100%
}


/* Single Row Input field Height - Matches the height of the Telerik ComboBox */
.descBox, .searchBox, .inputBox, .MSSansSerif, .CustomFieldText
{
	height:22px; 
}
.searchBox, .CustomFieldText
{
  width: 150px;
}
.inputBox
{
	width:60px;
}
.descBox
{
	width:200px;
}
.serialBox
{
	width:148px;
	height:148px;
	vertical-align:top;	
	overflow:auto;	
}

/********************************** DOCUMENT ***************************/
#document
{
	width:100%;
}

#document #detailCardSpacer
{
}

#document .documentPanel
{
}

/* These two classes provide the correct css for IE or other browsers to allow
   for resizing of the document tree and correct overflow properties. */
#document .DocTree
{
	overflow-y: auto;
	height: 250px;
}

#document .ieDocTree
{
	width:100%;
	padding-bottom: 2px; /* This fixes the bug where the vertical scroll bar appears when first rendered. */
	overflow-y:auto;
	height: 250px;
}

#horizontalSlider
{
	text-align:center;
	width:5px;
	cursor:e-resize;
	background-color: #BDBDB8;
	color: Gray;
}

#verticalSlider
{
	text-align:center;
	height:5px;
	cursor:n-resize;
	background-color: #BDBDB8;
	color: Gray;
}

.equipmentEditor
{
}
.billingEditor
{
}
.itemEditor
{
}
.serviceEditor
{
}

.notationEditor
{
	width: 480px;
	text-align:center;
	position:relative;
}
.notationEditor fieldset
{
	padding:10px 10px 10px 10px;
	border:1px solid #6795C3;
}
.notationEditor TABLE
{
	text-align:left;
	width:100%;
}
.notationEditor #notationButtons
{
	width:100%;
	text-align:right;
	height:25px;
}

.notationEditor #notationButtons IMG
{
	vertical-align:inherit;
}

.signatureEditor
{
	width: 600px;
	text-align:center;
	position:relative;
}

.assignmentEditor
{
}
.phaseEditor
{
}

.currencyLabel
{
	text-align: right;
	white-space:nowrap;
	width:50px;
}
#itemSerialEditor a
{
	cursor:pointer;
}
.roSerial
{
	padding-left:10px;
}
.itemEditor .stockLevelLabel
{
	width:20px;
}
.leafROField
{
	height:25px;
}
#faults
{
	padding:10px 0px 10px 0px;
	width:350px;
	position:relative;	
}
#faults table, .documentLineTotals
{
	width:100%;
}

/*********************************** TIME PICKER CSS ************************/

.TimePicker, .TimePickerItem
{
	border-collapse:collapse;
	margin:0px 0px 0px 0px;
	white-space:nowrap;
	background-color:white;
}
.TimePicker
{	
	z-index:1000px;	
	position:absolute;
	height:150px; 
	width:100px;
	overflow:auto;
	border:1px solid Black;
}
.TimePickerItem
{	
	text-align:left;
	padding:0px 0px 0px 5px;
	font-family:Arial;
	font-size:10px;
	cursor:hand;
	cursor:pointer;
	width:81px;	
}

/*************************** SITE CSS ************************************************/
#siteFolioContent
{

	height:400px;	
}

/************************** TIME ENTRY CSS *******************************************/
#timeEntries
{
}

#timeEntries table
{
	width:100%;
}

#noResultPanel
{
	height:150px;
	text-align:center;
	vertical-align:middle;
}
#timeEntryDayTotals
{
	padding-bottom:15px;
}

/************************* MY SERVICE MANAGER CSS *************************************/

.menuTitle
{
	/*background-color: #F7F7F7;*/
}

ul.menu
{
	list-style-image: none;
	list-style-type: none;
	list-style-position: inside;
	/*background-color: #F7F7F7;*/
	padding: 2px;
}

ul.menu li
{
	font-size: 1.05em;
	padding-bottom: 1px;
}

ul.menu li a
{
	display:block;
}

.upperCaseTextBox
{
text-transform:uppercase;
}

/************************* MY SERVICE MANAGER CUSTOM FILTER CSS *************************************/

#CustomFilterContent
{
}

#CustomFilterContent * .CardPanelBody_Standard *
{
	padding-bottom:5px;
}

/************************************************************************/

.TotalLabel
{
	text-align:right;
}

.ContextMenuHeader
{
	color:White !important;
	border-color: #3973AD !important;
	background-color: #3973AD !important;
}

.NotationLink
{
    text-decoration: underline;
}

/******** Context menu modifications ********/

ul.level2 li a span.text
{
    height: 25px !important;
}


.ComboBoxDropDown_WindowsXP
{
    background-color: white;
}